require('render-markdown').setup({
	--для vim wiki 
    heading = {
        width = 'block',
        left_pad = 2,
        right_pad = 4,
		border = true,
        border_virtual = false,
    },
	sign = { enabled = false },
})


vim.keymap.set('n', 'gl', function() FindHttpOrWwwInLine() end, { silent = true })

function FindHttpOrWwwInLine()
    local line = vim.api.nvim_get_current_line()
    local start_pos, end_pos = line:find("http")
    if start_pos then
        local col = start_pos - 1
        vim.api.nvim_win_set_cursor(0, {vim.fn.line('.'), col})
		vim.cmd("normal! vE")
		vim.fn.feedkeys("gx")
		vim.api.nvim_input("<Esc>")
    end
end

